# WitchReadyPotionEvent (Scissors-API 1.19-R0.1-SNAPSHOT API)
declaration: package: com.destroystokyo.paper.event.entity, class: WitchReadyPotionEvent

Package com.destroystokyo.paper.event.entity

# Class WitchReadyPotionEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
com.destroystokyo.paper.event.entity.WitchReadyPotionEvent

All Implemented Interfaces:
  `Cancellable`

public class WitchReadyPotionEvent extends EntityEvent implements Cancellable

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`WitchReadyPotionEvent(@NotNull Witch witch, @Nullable ItemStack potion)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Witch`
`getEntity()`
Returns the Entity involved in this event
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@Nullable ItemStack`
`getPotion()`
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`static @Nullable ItemStack`
`process(@NotNull Witch witch, @Nullable ItemStack potion)`
Fires thee event, returning the desired potion, or air of cancelled
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.
`void`
`setPotion(@Nullable ItemStack potion)`
Sets the potion the which is going to hold and use

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WitchReadyPotionEvent

public WitchReadyPotionEvent(@NotNull @NotNull Witch witch, @Nullable @Nullable ItemStack potion)

## Method Details

### process

@Nullable public static @Nullable ItemStack process(@NotNull @NotNull Witch witch, @Nullable @Nullable ItemStack potion)
Fires thee event, returning the desired potion, or air of cancelled

Parameters:
  `witch` - the witch whom is readying to use a potion
  `potion` - the potion to be used
Returns:
  The ItemStack to be used

### getEntity

@NotNull public @NotNull Witch getEntity()
Description copied from class: `EntityEvent`
Returns the Entity involved in this event

Overrides:
  `getEntity` in class `EntityEvent`
Returns:
  Entity who is involved in this event

### getPotion

@Nullable public @Nullable ItemStack getPotion()

Returns:
  the potion the witch is readying to use

### setPotion

public void setPotion(@Nullable @Nullable ItemStack potion)
Sets the potion the which is going to hold and use

Parameters:
  `potion` - The potion

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event